
@media only screen and (max-width:767px){
    .color-widget{
        width : 1em !important;
        height : 1em !important;
        border-radius: 1em !important;
    }
}


body{
    margin : 0;
}

.slide-show{
    position: relative;
    width:90%;
    height: 600px;  
   
    background-image: url("../img/slideshow/bg.jpg");
    padding :1em;
    background-size:cover;
    margin:auto;
    margin-top :3em;
    
}




.slide-show img{
    position: absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
    margin: auto;
    height: 80%;
}



#slidecontainer {
    width: 50%; /* Width of the outside container */
    position: absolute;
    bottom : 0;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    z-index:4;
}

/* The slider itself */
.slider {
    -webkit-appearance: none;  /* Override default CSS styles */
    appearance: none;
    width: 100%; /* Full-width */
    height: 25px; /* Specified height */
    background: #d3d3d3; /* Grey background */
    outline: none; /* Remove outline */
    opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
    transition: opacity .2s;
}

.color-filter{
    position: absolute;
    top:0;
    right:0;
    left:0;
    bottom:0;
    margin:auto;
    height:98%;
    width:98%;
    z-index:3;
    /* mix blend mode makes the color of the swatch alter the image behind it. */
    mix-blend-mode:hue; /* try screen, multiply or other blend modes for different effects */
    background-blend-mode: overlay;
    
    border:none;
    background-color: transparent;
}

.widgets-right{
    position : absolute;
    bottom:0;
    right:0;
    left:0;
    margin:auto;
    width: 80%;
    height : 10%;
    display: flex;
    flex-direction: row;
    z-index: 5;
    margin-top : 1em;
    justify-content: space-around;
    flex-wrap : wrap;
}



.color-widget{
    width: 3em;
    height : 3em;
    background-color :red;
    border-radius: 1.5em;
    margin-right : 1em;
    border:1px solid rgba(189, 189, 189, 0.5);
    opacity : 0.6;

}

.color-widget:hover{
    opacity : 1;
}


/* Mouse-over effects */
.slider:hover {
    opacity: 1; /* Fully shown on mouse-over */
}

/* The slider handle (use webkit (Chrome, Opera, Safari, Edge) and moz (Firefox) to override default look) */ 
.slider::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 25px; /* Set a specific slider handle width */
    height: 25px; /* Slider handle height */
    background: #4CAF50; /* Green background */
    cursor: pointer; /* Cursor on hover */
}

.slider::-moz-range-thumb {
    width: 25px; /* Set a specific slider handle width */
    height: 25px; /* Slider handle height */
    background: #4CAF50; /* Green background */
    cursor: pointer; /* Cursor on hover */

}

.hidden{
    display:none;
}


#color-picker { 
   
    position: absolute;
    top:0;
    right:0;
    left:0;
    bottom:0;
    margin:auto;
    height:98%;
    width:98%;
    z-index:3;
    /* mix blend mode makes the color of the swatch alter the image behind it. */
    mix-blend-mode:hue; /* try screen, multiply or other blend modes for different effects */
    background-blend-mode: overlay;
    cursor: pointer;
    border:none;
}



/* removes default styling from input color element */
::-webkit-color-swatch {
    border: none;
}

::-webkit-color-swatch-wrapper {
    padding: 0;
}

::-moz-color-swatch,
::-moz-focus-inner {
    border: none;
}

::-moz-focus-inner {
    padding: 0;
}



.roof{
   
    height: 25%;
    background-color:red;
}

.body{
    
    height : 75%;
    background-color:red;
}

.body-widgets{
    position : absolute;
    top:0;
    right:0;
    left:0;
    margin:auto;
    width: 80%;
    height : 10%;
    display: flex;
    flex-direction: row;
    z-index: 5;
    margin-top : 1em;
    justify-content: space-around;
    flex-wrap : wrap;
}

